# makers-styles
The definitive repository for Makers Academy stylesheets

## Styles Catalogue

You can view our currently-available styles on our [showcase page](http://www.makersacademy.com/elements).

If you add a new style you _must_ ensure that you update this page to reflect it's usage. Failure to do this will result in Nikesh releasing the flying monkeys. You do not want this to happen.

## External Dependencies

Our styles have the following external dependencies:

* [Normalize CSS](https://necolas.github.io/normalize.css/)
* [Slick (slider)](http://kenwheeler.github.io/slick/)
* [Bourbon (Mixin Library)](http://bourbon.io/)
* [Neat (grid framework)](http://neat.bourbon.io/)
* [PrismJS (syntax highlighting for the showcase site)](http://prismjs.com/)

These are currently pulled in via the [Yarn](yarnpkg.com) package associated with this repo. NOTE: PrismJS must be manually updated, and lives in the `/sass/elements-showcase/` directory.

Please do not move them outside of the `node_modules` directory.

Sass will be configured to find the appropriate `.scss` files from their respective locations and bring them all into a central CSS file which you can minify/deploy as you wish.

### Getting ready to deploy your styles

Ensure you have [Yarn](https://yarnpkg.com/) installed. Once this is the case
you should be able to run:

```
$ yarn install
```

This should fetch all of the external dependencies our styles have listed above.
Once these are in place, simply run:

```
$ yarn run compile-sass -- --output-style expanded -o css/all.css sass/all.scss
```
and copy the following file `css/all.css/` to wherever your project expect to pull styles in
from.

